<?php
/**
 * BonusOperationFillablePropertiesTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CrmClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * CRM
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CrmClient;

use PHPUnit\Framework\TestCase;

/**
 * BonusOperationFillablePropertiesTest Class Doc Comment
 *
 * @category    Class
 * @description BonusOperationFillableProperties
 * @package     Ensi\CrmClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class BonusOperationFillablePropertiesTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "BonusOperationFillableProperties"
     */
    public function testBonusOperationFillableProperties()
    {
    }

    /**
     * Test attribute "customer_id"
     */
    public function testPropertyCustomerId()
    {
    }

    /**
     * Test attribute "order_number"
     */
    public function testPropertyOrderNumber()
    {
    }

    /**
     * Test attribute "bonus_amount"
     */
    public function testPropertyBonusAmount()
    {
    }

    /**
     * Test attribute "comment"
     */
    public function testPropertyComment()
    {
    }

    /**
     * Test attribute "activation_date"
     */
    public function testPropertyActivationDate()
    {
    }

    /**
     * Test attribute "expiration_date"
     */
    public function testPropertyExpirationDate()
    {
    }
}
